aboutsummaryrefslogtreecommitdiff
path: root/board
diff options
context:
space:
mode:
authorGravatar Carlos Santos <unixmania@gmail.com>2019-12-02 08:18:59 -0300
committerGravatar Peter Korsgaard <peter@korsgaard.com>2019-12-02 12:47:47 +0100
commit3b1d9f74c7bc86a2a626bd38a98b34c77a6465a6 (patch)
tree1b1866e18ef03082705d09c760c46da2b60b53bd /board
parentcf36b7c3ac74ec20339aae2b843535a92c8b56a4 (diff)
downloadbuildroot-3b1d9f74c7bc86a2a626bd38a98b34c77a6465a6.tar.gz
buildroot-3b1d9f74c7bc86a2a626bd38a98b34c77a6465a6.tar.bz2
board/pc/post-image-efi.sh: fail on any error
As already done in post-build.sh, to prevent hiding errors. Signed-off-by: Carlos Santos <unixmania@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'board')
-rwxr-xr-xboard/pc/post-image-efi.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/board/pc/post-image-efi.sh b/board/pc/post-image-efi.sh
index 178565f18b..a0df70a6ab 100755
--- a/board/pc/post-image-efi.sh
+++ b/board/pc/post-image-efi.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
UUID=$(dumpe2fs "$BINARIES_DIR/rootfs.ext2" 2>/dev/null | sed -n 's/^Filesystem UUID: *\(.*\)/\1/p')
sed -i "s/UUID_TMP/$UUID/g" "$BINARIES_DIR/efi-part/EFI/BOOT/grub.cfg"
sed "s/UUID_TMP/$UUID/g" board/pc/genimage-efi.cfg > "$BINARIES_DIR/genimage-efi.cfg"